Bug 125307 - bash is missing a dependency
Summary: bash is missing a dependency
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-04 16:36 UTC by Steve Grubb
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 08:29:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Grubb 2004-06-04 16:36:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
Bash is missing a dependency for a yacc package:

--- working/bash/bash.spec      2004-06-02 11:14:06.000000000 -0400
+++ /opt/specs/bash.spec        2004-06-03 13:07:43.000000000 -0400
@@ -51,7 +51,7 @@
 Obsoletes: bash2-doc bash-doc
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
                                                                     
          
-BuildRequires: texinfo
+BuildRequires: texinfo, byacc
 BuildRequires: libtermcap-devel
                                                                     
          
 %description


Version-Release number of selected component (if applicable):
bash-2.05b-39

How reproducible:
Always

Steps to Reproduce:
1. rpm -e --nodeps bison byacc
2. rpmbuild -bb /usr/src/redhat/SPECS/bash.spec

Additional info:

I did not try bison to see if that satisfied bash.

Comment 1 Tim Waugh 2004-06-04 16:55:48 UTC
Yes, bash compiles with bison.  Thanks, added.


Note You need to log in before you can comment on or make changes to this bug.